---
 drivers/md/dm-table.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Index: linux-2.6.30-rc7/drivers/md/dm-table.c
===================================================================
--- linux-2.6.30-rc7.orig/drivers/md/dm-table.c
+++ linux-2.6.30-rc7/drivers/md/dm-table.c
@@ -386,8 +386,8 @@ static int device_area_is_valid(struct d
 			     sector_t start, sector_t len)
 {
 	sector_t dev_size = i_size_read(bdev->bd_inode) >> SECTOR_SHIFT;
-	unsigned short logical_block_size_sectors =
-		ti->limits.logical_block_size >> SECTOR_SHIFT;
+	unsigned short hardsect_size_sectors = ti->limits.hardsect_size >>
+					       SECTOR_SHIFT;
 	char b[BDEVNAME_SIZE];
 
 	if (!dev_size)
@@ -399,21 +399,21 @@ static int device_area_is_valid(struct d
 		return 0;
 	}
 
-	if (logical_block_size_sectors <= 1)
+	if (hardsect_size_sectors <= 1)
 		return 1;
 
-	if (start & (logical_block_size_sectors - 1)) {
+	if (start & (hardsect_size_sectors - 1)) {
 		DMWARN("%s: start=%llu not aligned to h/w sector of %s",
 		       dm_device_name(ti->table->md),
 		       (unsigned long long)start, bdevname(bdev, b));
 		return 0;
 	}
 
-	if (len & (logical_block_size_sectors - 1)) {
+	if (len & (hardsect_size_sectors - 1)) {
 		DMWARN("%s: len=%llu not aligned to h/w sector size %hu of %s",
 		       dm_device_name(ti->table->md),
 		       (unsigned long long)len,
-		       ti->limits.logical_block_size, bdevname(bdev, b));
+		       ti->limits.hardsect_size, bdevname(bdev, b));
 		return 0;
 	}
 
